function fourierplot(func, T, N)
  Delta_t = T/N;
  t = (0:N-1)*Delta_t;
  x = func(t);

  X = fft(x);
  F = abs(X(1:N/2));
  freq = (0:(N/2)-1)/T;

  plot(freq, F);
  xlabel('f');
  ylabel('|X|');
end